using System.ComponentModel;
using System.Windows.Media;
using System.Collections.Generic;
using System;
using System.Linq;
using BeWo.View.Navigation.Sorter;
using BS.Shared.DataContracts.Compact;
using BeWo.ServiceProxy;

namespace BeWo.View.Search
{
    public class TeamSearchView : GenericSearchView<CompactTeamDC>
    {


        public TeamSearchView()
        {
            if (!DesignerProperties.GetIsInDesignMode(this))
                ThemeColor = FindResource("TeamContentBrush") as Brush;
        }

        protected override void GetAll(Action<List<CompactTeamDC>> pCallBack)
        {

            ServiceFacade.DoEmployeeServiceAsync(s => s.GetAllTeamsCompact(),
                r =>
                {
                    List<CompactTeamDC> list = r;

                    list.Sort((x, y) => { return x.Name.CompareTo(y.Name); });
                    pCallBack(list);
                });
        }

    }
}
